* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Text Format */
.fredoka-light {
  font-family: "Fredoka", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

.fredoka-regular {
  font-family: "Fredoka", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.fredoka-semi-bold {
  font-family: "Fredoka", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

.fredoka-bold {
  font-family: "Fredoka", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 28px;
}

h1 {
  font-size: 28px;
  padding: 5px;
}

h2 {
  font-size: 24px;
  padding: 5px;
}

p {
  font-size: 16px;
}

ul li {
  font-family: "Raleway";
  font-size: 14px;
  list-style: none;
}

button {
  background-color: var(--orangejiuce);
  border: none;
  border-radius: 20px;
  box-shadow: var(--box-shadow);
  font-family: "Raleway";
  font-style: bold;
  color: white;
  margin: 10px;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--white);
  margin: 0;
  padding: 0;
  --black: #000000;
  --brown: #441d0c;
  --orange: #f87a11;
  --orangejiuce: #f1ae03;
  --white: #ffffff;
  --border-right: 40px 0px 0px 40px;
  --border-left: 0px 40px 40px 0px;
  --border-bottom: 0px 0px 50px 50px;
  --box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  --padding: 20px;
}

nav {
  background-color: var(--white);
  box-shadow: var(--box-shadow);
  display: flex;
  height: 100px;
  justify-content: space-evenly;
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 10;
}

nav img {
  height: 50px;
  width: 80px;
}

nav ul {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  margin: 0;
  padding: 0;
  width: 100%;
}

nav ul li {
  align-items: center;
  display: flex;
  padding: 10px;
  list-style: none;
}

nav ul li a {
  font-size: 15px;
  text-decoration: none;
}

main {
  min-height: calc(100vh - 100px);
  position: relative;
  width: 100%;
}

.home {
  display: -webkit-flex;
  display: flex;
}

.home section {
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  text-align: center;
}

.tagline {
  min-height: 400px;
}

.tagline:hover {
  background-image: url(/assets/orange-spiral.gif);
  background-size: cover;
  background-position: center;
  color: white;
}

.new-juice {
  background-color: var(--orange);
  padding: 20px;
}

.recipe {
  background-image: url(/assets/brown-wooden-flooring.jpg);
  display: flex;
  flex-direction: column;
  color: white;
  padding: 20px;
}

.about {
  background-image: url(/assets/pexels-wooden-table.jpg);
  display: flex;
  justify-content: center;
}

.divbreak {
  display: flex;
  flex-direction: column;
  max-width: 800px;
}

.about-1,
.about-2 {
  display: flex;
  flex: 1;
  flex-direction: row;
  min-height: 50%;
  width: 100%;
}

.mission {
  background-image: url(/assets/OMGsojuicy.gif);
  background-size: cover;
  background-position: bottom;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex: 1;
  padding: 20px;
  min-height: 400px;
  min-width: 50%;
}

.mission-statement {
  background-color: white;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex: 1;
  padding: 20px;
  min-height: 400px;
  min-width: 50%;
}

.story {
  background-image: url(/assets/OrangeTemptation.gif);
  background-size: cover;
  background-position: bottom;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex: 1;
  padding: 20px;
  min-height: 400px;
  min-width: 50%;
}

.story-statement {
  background-color: white;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex: 1;
  padding: 20px;
  min-height: 400px;
  min-width: 50%;
}

.shop {
  display: flex;
  flex-direction: row;
}

.half {
  display: flex;
  flex-direction: row;
  flex: 1;
}

.flavour {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1;
  padding: 20px;
  text-align: center;
}

.flavour button {
  background-color: var(--brown);
}

#juice-bottle {
  position: relative;
  z-index: 5;
}

.fruit {
  border-radius: 20px;
  position: relative;
  padding: 30px;
  top: -40px;
  z-index: 3;
}

.bottle-orange:hover {
  background-image: url(/assets/labels-orange.png);
  background-size: contain;
  background-repeat: repeat-x;
  border-radius: 20px;
  position: relative;
  top: -5px;
}

.orange:hover {
  background-image: url(/assets/orange.gif);
  color: white;
}

.bottle-apple:hover {
  background-image: url(/assets/labels-apple.png);
  background-size: contain;
  background-repeat: repeat-x;
  border-radius: 20px;
  position: relative;
  top: -5px;
}

.apple:hover {
  background-image: url(/assets/apple.gif);
  color: white;
}

.bottle-strawberry:hover {
  background-image: url(/assets/label-strawberry.png);
  background-size: contain;
  background-repeat: repeat-x;
  border-radius: 20px;
  position: relative;
  top: -5px;
}

.strawberry:hover {
  background-image: url(/assets/strawberry.gif);
  color: white;
}

.bottle-blueberry:hover {
  background-image: url(/assets/labels-blueberry.png);
  background-size: contain;
  background-repeat: repeat-x;
  border-radius: 20px;
  position: relative;
  top: -5px;
}

.blueberry:hover {
  background-image: url(/assets/blueberry.gif);
  color: white;
}

.review {
  background-image: url(/assets/pexels-wooden-table.jpg);
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.review section {
  display: flex;
  flex: 1;
  margin: 20px;
  min-height: 400px;
  text-align: center;
  padding: 20px;
}

.comment {
  align-items: center;
  background-image: url(/assets/orange_jar.jpg);
  background-size: cover;
  border-radius: 20px;
  color: white;
}

.oj {
  background-color: white;
  border-radius: 20px;
  display: flex;
}

.oj article {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1;
}

.oj figure {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1;
  min-height: 300px;
}

.oj figure img {
  padding: 20px;
}

.contact {
  display: flex;
  flex-direction: row;
}

.contact section {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  text-align: center;
  min-height: 500px;
}

.email {
  background-color: var(--brown);
  color: white;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

form button {
  background-color: var(--orangejiuce);
}

form input {
  border-radius: 20px;
  margin: 10px;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
}

.service {
    background-color: var(--orangejiuce);
    color: white;
}

@media (max-width: 768px) {
  .shop {
    display: flex;
    flex-direction: column;
  }
  .half {
    display: flex;
    flex-direction: row;
  }

  .contact {
    display: flex;
    flex-direction: column;
  }

}

@media (max-width: 600px) {
  .home {
    -webkit-flex-direction: column;
    flex-direction: column;
  }

  .about {
    -webkit-flex-direction: column;
    flex-direction: column;
  }

  .about-1 {
    display: flex;
    flex-direction: column;
  }

  .about-2 {
    display: flex;
    flex-direction: column-reverse;
  }

  .half {
    display: flex;
    flex-direction: column;
  }

  .oj {
    display: flex;
    flex-direction: column;
  }

  .oj figure {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
  }

  .contact {
    display: flex;
    flex-direction: column;
  }

}
